Package org.apache.sysds.common

## Enum Types.OpOpN

- java.lang.Object
- - java.lang.Enum<Types.OpOpN>
  - - org.apache.sysds.common.Types.OpOpN

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.OpOpN>`

Enclosing class:
  Types

    public static enum Types.OpOpN
    extends Enum<Types.OpOpN>

### Enum Constant Summary

Enum Constants
`CBIND`
`EVAL`
`LIST`
`MAX`
`MIN`
`PLUS`
`PRINTF`
`RBIND`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isCellOp()`
`static Types.OpOpN` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Types.OpOpN[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRINTF

    public static final Types.OpOpN PRINTF

#### CBIND

    public static final Types.OpOpN CBIND

#### RBIND

    public static final Types.OpOpN RBIND

#### MIN

    public static final Types.OpOpN MIN

#### MAX

    public static final Types.OpOpN MAX

#### PLUS

    public static final Types.OpOpN PLUS

#### EVAL

    public static final Types.OpOpN EVAL

#### LIST

    public static final Types.OpOpN LIST

### Method Detail

#### values

    public static Types.OpOpN[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.OpOpN c : Types.OpOpN.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.OpOpN valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isCellOp

    public boolean isCellOp()